apt-get update: errore riguardante le firme non valide su Ubuntu 11.10

Da qualche giorno avevo dei problemi ad aggiornare il mio sistema. Ogni volta che digitavo apt-get update, ricevevo il seguente errore:

W: Si è verificato un errore nel verificare la firma. Il repository non è aggiornato e verranno usati i file indice precedenti. 
Errore GPG: http://extras.ubuntu.com oneiric Release: Le seguenti firme non erano valide: BADSIG 16126D3A3E5C1192
Ubuntu Extras Archive Automatic Signing Key <ftpmaster@ubuntu.com>

W: Errore GPG: http://it.archive.ubuntu.com oneiric Release: Le seguenti firme non erano valide:
BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>
W: Impossibile recuperare http://extras.ubuntu.com/ubuntu/dists/oneiric/Release

W: Impossibile recuperare http://it.archive.ubuntu.com/ubuntu/dists/oneiric/restricted/i18n/Index
Nessuna voce Hash nel file Release /var/lib/apt/lists/partial/it.archive.ubuntu.com_ubuntu_dists_oneiric_restricted_i18n_Index

W: Impossibile recuperare http://it.archive.ubuntu.com/ubuntu/dists/oneiric/universe/i18n/Index
Nessuna voce Hash nel file Release /var/lib/apt/lists/partial/it.archive.ubuntu.com_ubuntu_dists_oneiric_universe_i18n_Index

W: Impossibile scaricare alcuni file di indice: saranno ignorati o verranno usati quelli vecchi.

Per risolvere, aprite un terminale e digitate i seguenti comandi:

cd /var/lib/apt
sudo apt-get clean
sudo mv lists lists.old
sudo mkdir -p lists/partial
sudo apt-get update

Fatemi sapere se questo metodo funziona anche sulla vostra macchina.